Base Module: VariablesMap Class Reference
Author: Steinberg

Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
VariablesMap Class Reference

Command-line parsing result. More...

`#include <fcommandline.h>`

## Public Member Functions
| VariablesMap ()
| Constructor. Creates a empty VariablesMap.
bool | hasError () const
| Returns `true` when an error has occurred.
void | setError ()
| Sets the error state to `true`.
std::string & | operator[] (const VariablesMapContainer::key_type k)
| Retrieve the value of option `k`.
const std::string & | operator[] (const VariablesMapContainer::key_type k) const
| Retrieve the value of option `k`.
VariablesMapContainer::size_type | count (const VariablesMapContainer::key_type k) const
| Returns `!=` `0` if command-line contains option `k`.

## Detailed Description

Command-line parsing result.

This is the result of the parser.

- Use hasError() to check for errors.
- To test if a option was specified on the command-line use: count()
- To retrieve the value of an options, use operator [](const VariablesMapContainer::key_type k)

## Constructor & Destructor Documentation

## ◆ VariablesMap()

VariablesMap | ( |  | ) |
| inline

Constructor. Creates a empty VariablesMap.

## Member Function Documentation

## ◆ hasError()

bool hasError | ( |  | ) | const
| inline

Returns `true` when an error has occurred.

## ◆ setError()

void setError | ( |  | ) |
| inline

Sets the error state to `true`.

## ◆ operator[]() [1/2]

std::string & operator[] | ( | const VariablesMapContainer::key_type | k | ) |

Retrieve the value of option `k`.

If command-line contains option `k` more than once, only the last value will survive.

## ◆ operator[]() [2/2]

const std::string & operator[] | ( | const VariablesMapContainer::key_type | k | ) | const

Retrieve the value of option `k`.

If command-line contains option `k` more than once, only the last value will survive.

## ◆ count()

VariablesMap::VariablesMapContainer::size_type count | ( | const VariablesMapContainer::key_type | k | ) | const

Returns `!=` `0` if command-line contains option `k`.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.